SDL_GetPrimarySelectionText(3)

NAME
SDL_GetPrimarySelectionText - Get UTF-8 text from the primary selection, which must be freed with SDL_free ().

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetPrimarySelectionText(void);

DESCRIPTION
This functions returns empty string if there was not enough memory left for a copy of the primary selection's content.

RETURN VALUE
Returns the primary selection text on success or an empty string on failure; call SDL_GetError () for more information. Caller must call SDL_free () on the returned pointer when done with it (even if there was an error).

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasPrimarySelectionText(3), SDL_SetPrimarySelectionText(3)